petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatISGetMPIXAIJ

Converts MATIS matrix into a parallel AIJ format

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatISGetMPIXAIJ(Mat mat, MatReuse reuse, Mat *newmat)

### Input Parameter

mat -the matrix (should be of type MATIS)
reuse -either MAT_INITIAL_MATRIX or MAT_REUSE_MATRIX

### Output Parameter

newmat -the matrix in AIJ format

### Notes

This function has been deprecated and it will be removed in future releases. Update your code to use the MatConvert() interface.

### See Also

MATIS, MatConvert()

### Level

developer

### Location

src/mat/impls/is/matis.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages